Debian Bug report logs - #568858
gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)

version graph

Package: gnome-mousetrap; Maintainer for gnome-mousetrap is Debian Accessibility Team <debian-accessibility@lists.debian.org>; Source for gnome-mousetrap is src:gnome-mousetrap.

Reported by: Stefano Costa <steko@iosa.it>

Date: Mon, 8 Feb 2010 12:24:02 UTC

Severity: critical

Tags: patch, sid, upstream

Found in version gnome-mousetrap/0.3+zgit2872572a-1

Fixed in version gnome-mousetrap/0.4-1

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Mon, 08 Feb 2010 12:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Costa <steko@iosa.it>:
New Bug report received and forwarded. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Mon, 08 Feb 2010 12:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Costa <steko@iosa.it>
To: submit@bugs.debian.org
Subject: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Mon, 08 Feb 2010 13:22:41 +0100
[Message part 1 (text/plain, inline)]
Subject: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Package: gnome-mousetrap
Version: 0.3+zgit2872572a-1
Justification: renders package unusable
Severity: grave

Hi,
gnome-mousetrap doesn't work for me. I see no image from webcam, the
mouse pointer doesn't move. The following error message is shown when
running in a terminal.

It may be a problem with the new OpenCV 2.0 library.

Ciao,
steko

steko@gibreel:~$ mousetrap 
Xlib.protocol.request.QueryExtension
DEBUG: mousetrap.mouse -> GNOME desktop has been detected
DEBUG: mouseTrap -> Settings have been loaded
DEBUG: mouseTrap -> DBus Service has been started
DEBUG: scripts -> Mousetrap holdProfile Profile has been loaded
ERROR: scripts -> The Profile load failed
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.5/mouseTrap/scriptHdlr.py", line 57, in _loadThirdProfiles
    modes[prof.setName] = prof.Profile
AttributeError: 'module' object has no attribute 'Profile'
DEBUG: scripts -> Mousetrap dragProfile Profile has been loaded
DEBUG: scripts -> Mousetrap screenProfile Profile has been loaded
ERROR: mainGui -> All arguments must be INT
ERROR: mainGui -> All arguments must be INT
DEBUG: events -> New Area Listener Added
DEBUG: events -> New Area Listener Added
DEBUG: scripts -> Profile Started
DEBUG: mouseTrap -> MainGui has been started
DEBUG: ocvfw -> cmStartCamera: Camera Started
DEBUG: mouseTrap -> Camera Module has been started
DEBUG: mouseTrap -> Events handler has been started
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.5/mouseTrap/cam.py", line 142, in _checkImg
    self.cmQueryCapture( flip = self.settings.getboolean( "cam", "flipImage" ) )
  File "/usr/lib/pymodules/python2.5/mouseTrap/ocvfw.py", line 273, in cmQueryCapture
    self.img.origin     = frame.origin
  File "/usr/lib/pymodules/python2.5/opencv/cv.py", line 2097, in <lambda>
    __setattr__ = lambda self, name, value: _swig_setattr(self, CvMat, name, value)
  File "/usr/lib/pymodules/python2.5/opencv/cv.py", line 48, in _swig_setattr
    return _swig_setattr_nondynamic(self,class_type,name,value,0)
  File "/usr/lib/pymodules/python2.5/opencv/cv.py", line 41, in _swig_setattr_nondynamic
    if method: return method(self,value)
RuntimeError:  openCV Error:
        Status=The function/feature is not implemented
        function name=CvMat_origin_get
        error message=IplImage is replaced by CvMat in Python, so its fields are read-only
        file_name=_cv.cpp
        line=6080
DEBUG: events -> Event's handler has been stoped



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-mousetrap depends on:
ii  python                   2.5.4-9         An interactive high-level
object-o
ii  python-opencv            2.0.0-3+b1      Python bindings for the
computer v
ii  python-pyatspi           1.28.1-3        Assistive Technology
Service Provi
ii  python-support           1.0.6           automated rebuilding
support for P
ii  python-xlib              0.14+20091101-1 Interface for Python to the
X11 Pr

gnome-mousetrap recommends no packages.

gnome-mousetrap suggests no packages.

-- no debconf information
-- 
Stefano Costa
http://www.iosa.it/ Open Archaeology
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Mon, 08 Feb 2010 22:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Mon, 08 Feb 2010 22:12:06 GMT) Full text and rfc822 format available.

Message #10 received at 568858@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Stefano Costa <steko@iosa.it>, 568858@bugs.debian.org
Subject: Re: Bug#568858: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Mon, 8 Feb 2010 23:05:58 +0100
[Message part 1 (text/plain, inline)]
tags 568858 + upstream patch sid
thanks

Hello,

Could you try to applied the attached patch?

Stefano Costa, le Mon 08 Feb 2010 13:22:41 +0100, a écrit :
> It may be a problem with the new OpenCV 2.0 library.

It seems so, yes, thanks for the report!

Samuel
[patch (text/plain, attachment)]

Added tag(s) sid, upstream, and patch. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 22:12:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 22:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Mon, 08 Feb 2010 23:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Costa <steko@iosa.it>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Mon, 08 Feb 2010 23:27:06 GMT) Full text and rfc822 format available.

Message #19 received at 568858@bugs.debian.org (full text, mbox):

From: Stefano Costa <steko@iosa.it>
To: Samuel Thibault <sthibault@debian.org>
Cc: 568858@bugs.debian.org
Subject: Re: Bug#568858: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Mon, 08 Feb 2010 23:24:51 +0100
[Message part 1 (text/plain, inline)]
Il giorno lun, 08/02/2010 alle 23.05 +0100, Samuel Thibault ha scritto:
> Could you try to applied the attached patch?

Well, one step forward it seems: I can see my image, but it's still
(grabbed when the program starts and not refreshed apparently). See the
attached log, which has a different traceback.

Ciao,
steko

-- 
Stefano Costa
http://www.iosa.it/ Open Archaeology
[mousetrap.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Mon, 08 Feb 2010 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Mon, 08 Feb 2010 23:33:03 GMT) Full text and rfc822 format available.

Message #24 received at 568858@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Stefano Costa <steko@iosa.it>
Cc: 568858@bugs.debian.org
Subject: Re: Bug#568858: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Tue, 9 Feb 2010 00:32:11 +0100
[Message part 1 (text/plain, inline)]
Hello,

Stefano Costa, le Mon 08 Feb 2010 23:24:51 +0100, a écrit :
> Il giorno lun, 08/02/2010 alle 23.05 +0100, Samuel Thibault ha scritto:
> > Could you try to applied the attached patch?
> 
> Well, one step forward it seems: I can see my image, but it's still
> (grabbed when the program starts and not refreshed apparently). See the
> attached log, which has a different traceback.

Right, I got it too. Could you try the attached patch?  (Ignore the fact
that the second hook may fail)

Samuel
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Tue, 09 Feb 2010 08:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Costa <steko@iosa.it>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Tue, 09 Feb 2010 08:06:06 GMT) Full text and rfc822 format available.

Message #29 received at 568858@bugs.debian.org (full text, mbox):

From: Stefano Costa <steko@iosa.it>
To: Samuel Thibault <sthibault@debian.org>
Cc: 568858@bugs.debian.org
Subject: Re: Bug#568858: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Tue, 09 Feb 2010 09:07:44 +0100
[Message part 1 (text/plain, inline)]
Il giorno mar, 09/02/2010 alle 00.32 +0100, Samuel Thibault ha scritto:
> 
> Right, I got it too. Could you try the attached patch?  (Ignore the
> fact that the second hook may fail) 

OK, it works!

Now I just need to understand how to have it properly move the pointer
(unless there are further bugs, which I think not because there are no
errors in the console) :-)

Thanks,
steko

-- 
Stefano Costa
http://www.iosa.it/ Open Archaeology
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Fri, 19 Mar 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Fri, 19 Mar 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #34 received at 568858@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Stefano Costa <steko@iosa.it>
Cc: 568858@bugs.debian.org
Subject: Re: Bug#568858: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Fri, 19 Mar 2010 01:33:16 +0100
severity 568858 critical
thanks

Hello,

Stefano Costa, le Tue 09 Feb 2010 09:07:44 +0100, a écrit :
> Now I just need to understand how to have it properly move the pointer
> (unless there are further bugs, which I think not because there are no
> errors in the console) :-)

There are further bugs.  I couldn't make it work, probably an upstream
bug.  I upgraded to the latest upstream git snapshot, had to rebuild
opencv against python2.6 to get things work, and with that newer
snapshot things work fine.  Unfortunately I can not upload that until
opencv gets build against python2.6, which will only happen when
python2.6 gets the default, which is planned but not scheduled yet.
Raising the priority since in the current state the package just doesn't
work.

Samuel




Severity set to 'critical' from 'grave' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Fri, 19 Mar 2010 00:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#568858; Package gnome-mousetrap. (Sun, 20 Jun 2010 23:03:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Sun, 20 Jun 2010 23:03:24 GMT) Full text and rfc822 format available.

Message #41 received at 568858@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Stefano Costa <steko@iosa.it>
Cc: 568858@bugs.debian.org
Subject: Re: Bug#568858: gnome-mousetrap: doesn't work (opencv 1 → 2 problem?)
Date: Mon, 21 Jun 2010 01:02:44 +0200
Hello,

Stefano Costa, le Tue 09 Feb 2010 09:07:44 +0100, a écrit :
> Now I just need to understand how to have it properly move the pointer
> (unless there are further bugs, which I think not because there are no
> errors in the console) :-)

At last opencv got rebuilt against python 2.6.  I'll upload a fixed
gnome-mousetrap soon.

Samuel




Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Mon, 21 Jun 2010 01:06:03 GMT) Full text and rfc822 format available.

Notification sent to Stefano Costa <steko@iosa.it>:
Bug acknowledged by developer. (Mon, 21 Jun 2010 01:06:03 GMT) Full text and rfc822 format available.

Message #46 received at 568858-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 568858-close@bugs.debian.org
Subject: Bug#568858: fixed in gnome-mousetrap 0.4-1
Date: Mon, 21 Jun 2010 01:02:31 +0000
Source: gnome-mousetrap
Source-Version: 0.4-1

We believe that the bug you reported is fixed in the latest version of
gnome-mousetrap, which is due to be installed in the Debian FTP archive:

gnome-mousetrap_0.4-1.debian.tar.bz2
  to main/g/gnome-mousetrap/gnome-mousetrap_0.4-1.debian.tar.bz2
gnome-mousetrap_0.4-1.dsc
  to main/g/gnome-mousetrap/gnome-mousetrap_0.4-1.dsc
gnome-mousetrap_0.4-1_all.deb
  to main/g/gnome-mousetrap/gnome-mousetrap_0.4-1_all.deb
gnome-mousetrap_0.4.orig.tar.gz
  to main/g/gnome-mousetrap/gnome-mousetrap_0.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated gnome-mousetrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 Jun 2010 00:34:14 +0200
Source: gnome-mousetrap
Binary: gnome-mousetrap
Architecture: source all
Version: 0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 gnome-mousetrap - Head tracked mouse control
Closes: 568858
Changes: 
 gnome-mousetrap (0.4-1) unstable; urgency=low
 .
   * New git snapshot (Closes: Bug#568858).
   * Switch to 3.0 (quilt) format and bz2 compression.
   * debian/control: Bump Standards-Version to 3.8.4 (no change needed).
   * debian/control: Now build-depend on python2.6-dev, and on python-gnome2
     (>= 2.28.0-2) since gnome-mousetrap now needs python2.6. Depend on
     python-opencv (>= 2.0.0-4) to get python2.6 build.
   * debian/rules: Set PYTHON to python2.6.
   * debian/pyversions: Set to 2.6-.
Checksums-Sha1: 
 49f2c500ab1d44e266247b225472001f6773a392 1518 gnome-mousetrap_0.4-1.dsc
 713571ed79b0ff66b7af6b04e5a8f9f3d4a815d8 1501914 gnome-mousetrap_0.4.orig.tar.gz
 9c7b2776184bebf55e04292d46c1ab5361bf89c3 9455 gnome-mousetrap_0.4-1.debian.tar.bz2
 16161f040c8b739c4faf4f6696cec19d214bf7de 1095860 gnome-mousetrap_0.4-1_all.deb
Checksums-Sha256: 
 5f523a029ec4802541d831584d9b65070a65d7683448702d6615288653bc0525 1518 gnome-mousetrap_0.4-1.dsc
 8a72717252d325af2bc45ba7e589a921a6f0f6f143f36d44f0c9eb812d401f4d 1501914 gnome-mousetrap_0.4.orig.tar.gz
 e8c890dd357b00d875328e5ff54890e56fb1e4b08681ae19931dd50b12263c1e 9455 gnome-mousetrap_0.4-1.debian.tar.bz2
 af83f693c366bddf9a729d514eac9cfbb4cc7c1bc470ff0233056dcb11a61b42 1095860 gnome-mousetrap_0.4-1_all.deb
Files: 
 597bf22e81fc5bd7fbddd8c7ac6bbe1d 1518 gnome extra gnome-mousetrap_0.4-1.dsc
 47e9f98cb3ea173cf767467d6e9af59e 1501914 gnome extra gnome-mousetrap_0.4.orig.tar.gz
 8820581cab163648e8ff892127207ce9 9455 gnome extra gnome-mousetrap_0.4-1.debian.tar.bz2
 fc745563ca79cbbd0a899188c4f1fdfd 1095860 gnome extra gnome-mousetrap_0.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iF0EAREIAAYFAkwesG4ACgkQjSdX/Wzu6KbKTgEAodcOoKyRUTzeEOw4ZVeTg5oT
CF8iiGn00M4fAsg+wokA9j0du9UF3+e5j9/utaDk/YoqIYea7+wUphfcaKNSUcQ=
=uUUs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Jul 2010 07:37:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:10:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.